Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLMessageInfoContextIssueInstantFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLMessageInfoContextIssueInstantFunction

All Implemented Interfaces:
  `Function<SAMLMessageInfoContext,Instant>`, `ContextDataLookupFunction<SAMLMessageInfoContext,Instant>`

public class SAMLMessageInfoContextIssueInstantFunction extends Object implements ContextDataLookupFunction<SAMLMessageInfoContext,Instant>
`ContextDataLookupFunction` that returns `SAMLMessageInfoContext.getMessageIssueInstant()`.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMessageInfoContextIssueInstantFunction()`

## Method Summary

Modifier and Type
Method
Description
`Instant`
`apply(SAMLMessageInfoContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLMessageInfoContextIssueInstantFunction

public SAMLMessageInfoContextIssueInstantFunction()

## Method Details

### apply

@Nullable public Instant apply(@Nullable SAMLMessageInfoContext input)

Specified by:
  `apply` in interface `Function<SAMLMessageInfoContext,Instant>`